LFR-FSW - Task #1053

3.2.0.15
06/04/2017 09:02 AM - paul leroy

Status: Closed Start date: 06/04/2017
Priority: High Due date:

Assignee: bruno katra % Done: 70%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description
*** 3,2.0.15 *** 09 AVR 2017

__fsw__Changeset: 368 (9a3997£73422)

sources not changed
compilation chain RCC 1.2.20b (-mfixb2bst native support)

.text 355 168
.data 5008

History

#1 - 06/04/2017 09:03 AM - paul leroy
- Assignee set to bruno katra

- Priority changed from Normal to High

#2 - 06/04/2017 01:29 PM - bruno katra

- Assignee changed from bruno katra to paul leroy

Salut Paul !

J'ai relancé les tests R3++ et la non-regression sur cette version donc. Apres discussions avec Alexis, on va livrer celle-la aussi au LESIA. Peux-tu
me faire un binaire DPU stp?

Aussi, si tu as les logs de la compilation avec les sorties du script de Gaisler qui recherche les occurences des sequences A et B je suis preneur,
merci d'avance

Bruno
#3 - 06/04/2017 01:49 PM - paul leroy
- File with_mfix_b2bst.txt added

- File without_mfix_b2bst.txt added

- Assignee changed from paul leroy to bruno katra

Oups, j'avais fait une comparaison entre mon code avec mfixb2bst et sans mais j'avais oublié de joindre les fichiers.

Tu veux attendre la fin de la non régression ou je génére 3.2.0.15 pour DPU de suite?

#4 - 06/04/2017 02:39 PM - bruno katra

- Status changed from New to Feedback
Je vais poser la question a Plasson, je te tiens au courant.

#5 - 07/04/2017 10:32 AM - bruno katra
- Status changed from Feedback to In Progress
- Assignee changed from bruno katra to paul leroy

- % Done changed from 0 to 70
Salut Paul !

On a eu la réponse de LeeRoy, il est preneur dés maintenant de la 3.2.0.15. Desolé donc de te réembéter encore mais peux-tu nous générer un
binaire DPU pour livraison?

Merci d'avance

Mail LeeRoy 7/04/2017 :

Bonjour Bruno,

Si vous avez déja le méme niveau de confiance qu'avec la version précédente, je veux bien I'avoir tout de suite.

LeeRoy

Le 6 avril 2017 a 17:01, <bruno.katra@Ipp.polytechnique.fr> a écrit :

Salut LeeRoy, en fait c¢a va prendre plus que 2-3 jours c'est slr mais
d'ici ce soir ou demain j'en serai au méme niveau de non regression
partielle que pour la 3.2.0.13 et 3.2.0.14. De plus nous allons continuer
la non-regression sur cette 3.2.0.15. A vous de voir. Je suis en congés
demain soir mais Paul pourra nous générer un binaire DPU d'ici la si vous
le souhaitez.

Bonne soirée a toi !
BruNO
> Salut Bruno,

>

Si ASa ne prend qu'un jour ou deux passer la non-regression, je prAO©fA-re
attendre.

Le 6 avril 2017 A 15:24, Bruno Katra &lt;bruno.katra@lpp.polytechnique.fr&gt; a
Aocrit

>
>
>
> LeeRoy
>
>
>

>
>> Bonjour Philippe.

>> AprA”s AO©changes de Paul avec Gaisler, il s'avA're qu'ils ont mis en

>> ligne

>> une version de RTEMS en fA©vrier dernier seulement avec le support natif
>> du

>> -mfix-b2bst. Alexis et Paul ont modifiA® la chaine de compilation et

>> Paul

>> m'a 1livrA© ce matin un FSW 3.2.0.15 qui est cette fois compilA®©

>> intA@gralement

>> avec l'option. Vous trouverez en PJ les sorties de l'outil Gaisler qui
>> vAOrifie 1l'absence des sAOquences A et B (la version without correspond
>> aux

>> sorties de la 3.2.0.14 avec le "mauvais" RTEMS) .

>>

>> Nous recommenASons la non regression et les tests R3++ dessus depuis ce
>> matin (pour l'instant tout est nominal). Souhaitez-vous que 1l'on vous
>> livre

>> celle—-ci dA”s aujourd'hui ou vous prA©fAO©rez attendre la fin de la non
>> rA@gression ?

>>

>> Bruno

#6 - 07/04/2017 11:50 AM - paul leroy

- Assignee changed from paul leroy to bruno katra
OK, c'est parti.

#7 - 22/06/2018 05:15 PM - bruno katra

- Status changed from In Progress to Closed
Version livrée!

Files
README 249 KB
fsw-3-2-0-15 4.08 MB
with_mfix_b2bst.txt 5.18 KB
without_mfix_b2bst.txt 499 KB
